// ------------------------------------------------------------
// Patternlab molecules
// ------------------------------------------------------------

/* ::Text */
/* ------------------------------------------------------------ */

/* Text > address */
.vcard{
   @include font-size($gamma-font-sizes);
}

/* Text > heading group */

.hgroup{
   h1{
      @include margin-bottom($spacing-sm-responsive);
   }
}


/* Text > intro text */

.intro{
   @include font-size($beta-font-sizes);
   @include margin-bottom($spacing-lg-responsive);
}

/* ::Blocks */
/* ------------------------------------------------------------ */

.block{
   h2{
      @include margin-top($spacing-sm-responsive);
      @include margin-bottom($spacing-sm-responsive);
   }
   a{
      text-decoration: none;
      opacity: 1;
      transition: all .6s ease-in-out;

      &:hover{
         opacity: .7;
      }
   }
   img{
    width: 100%;
   }
   p{
    margin-bottom: 0;
   }
}

/* Block > block-thumb */
.block-thumb{
  @include margin-bottom($spacing-xxl-responsive);
  .b-inner{
    @media (min-width: $screen-sm){
      display: flex;
      align-items: flex-end;
    }
    .b-text{
      h2{
        margin-bottom: $spacing-xxs;
        @media (min-width: $screen-sm){
          margin-top: 0;
        }
      }
      p{
        color: $base-color;
        @include font-size($delta-font-sizes);
      }
    }
    .b-text,
    .b-thumb{
      flex-shrink: 0;
    }
  }
  // si il n'y pas d'images
  &.img-empty{
    .b-inner{
      @media (min-width: $screen-sm){
        // align-items: stretch;
      }
    }
    .b-thumb{
      position: relative;
      height: 250px;
      @media (max-width: $screen-sm){
        height: 100px;
      }
      &:before{
        content: '';
        display: block;
        height: 100%;
        width: 100%;
        box-shadow: 0px 0px 0px $default-border-width $base-color inset;
      }
      &:after{
        content: 'upcoming';
        @include font-size($delta-font-sizes);
        position: absolute;
        color: $base-color;
        z-index: 1;
        top: 5px;
        left: 30px;
      }
    }
  }
}


/* Block > block-thumb-left */
.block-thumb-left{
  @media (max-width: $screen-sm){
    .b-inner{
      display: flex;
      flex-direction: column;
      .b-text{order: 2;}
      .b-thumb{order: 1;}
    }
  }
  @media (min-width: $screen-sm){
    text-align: right;
  }
}

/* Block > block-thumb-headline */
.block-thumb-headline{
  .b-text{
    text-align: center;
  }
}


/* Block > block-headline */

.block-headline-byline{
   text-align: center;
   @include margin-bottom($spacing-lg-responsive);
   hr{
      @include margin-bottom($spacing-md-responsive);
   }
   h2{
      margin-bottom: $spacing-xs;
   }
   time{
      @include font-size($delta-font-sizes);
      line-height: $line-height;
      display: block;
      @include margin-bottom($spacing-sm-responsive);
   }
}

/* Block > block block-headline-text */

.block-headline-text{
  text-align: center;
  span{
    display: block;
  }
  h2{
    margin-top: $spacing-md;
    // @include font-size($alpha-font-sizes);
  }
  ul{
    li:first-of-type{
      @include margin-bottom($spacing-sm-responsive);
    }
    li:not(:first-of-type){
      @include font-size($delta-font-sizes);
    }
  }
}


/* Block > block-info */

.info-panel{
  position: fixed !important;
  background-color: $mauve;
  color: white;
  max-width: 800px;
  padding-top: $spacing-lg;
  padding-bottom: $spacing-md;
  .content-container{
    @include margin-bottom($spacing-lg-responsive);
  }
  top: 0;
  left: 0;
  bottom: 0;
  z-index: 999;
  overflow: scroll;
  display: none;
  &.active{
    display: block;
  }

  p{
    display: inline;
  }

  u{
    text-decoration: none;
    @include font-size($delta-font-sizes);
  }
  .close{
    position: absolute;
    top: 25px;
    right: 25px;
    text-indent: -9999px;
    background: url('../images/close-invert.svg') no-repeat center center;
    width: 33px;
    height: 33px;
  }

  figure{
    display: inline;
    img{
      display: none;
    }
    figcaption{
      display: inline;
      text-decoration: underline;
      cursor: pointer;
    }
    &.display{
      display: block;
      img{
        display: block;
      }
    }
  }
}

/* ::Media */
/* ------------------------------------------------------------ */

.wp-block-image{
  margin-bottom: 0;
   figcaption {
    margin-top: 0;
    margin-bottom: 0;
  }
}

// figure{
//   figcaption{
//     @include margin-top($spacing-sm-responsive);
//     @include font-size($delta-font-sizes);
//   }
// }

/* Media > small to big */

.small-to-big{
  display: inline-block;
  a{
    text-decoration: none;
    color: $base-color;
    &:hover{
      text-decoration: none;
      color: $base-color;
    }
  }
  @media (max-width: $screen-sm){
    display: block;
    a{
      pointer-events: none;
      cursor: default;
      width: 100%;
      img,
      div{
        width: 100% !important;
        height: auto !important;
        display: block;
      }
      div{
        box-shadow: 0px 0px 0px $default-border-width transparent inset;
      }
    }
  }

  & > div{
    @media (min-width: $screen-sm){
      box-shadow: 0px 0px 0px $default-border-width $base-color inset;
    }
    display: inline-block;
  }
  figcaption{
    @include margin-bottom($spacing-md-responsive);
  }

  /* Media > small */
  &.small{
    a{display: block;}
    figcaption{
      @media (min-width: $screen-sm) {display: none;}
    }
  }

  /* Media > big */
  &.big{
    animation: opacityBlink 1s 1 ease-out;
    max-width: 100%;
    width: auto !important;
    height: auto !important;
    a{
      display: table;
      width: 1px;
    }
    img,
    div{
      width: auto !important;
      height: auto !important;
    }
    img{
      width: 100%;
      max-height: 70vh;
    }
    div{
      display: block;
      //box shadow invisible lorsque l'image est grande
      box-shadow: 0px 0px 0px $default-border-width transparent inset;

    }
    img,
    figcaption{
      display: table-row;
      vertical-align: top;
    }
    figcaption{
      color: $base-color;
      text-decoration: none;
    }
  }
}

@keyframes opacityBlink {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}

/* ::Forms */
/* ------------------------------------------------------------ */

form.newsletter-form{
   legend{
      @include font-size($beta-font-sizes);
      @include margin-bottom($spacing-md-responsive);
      border: none;
   }
   .form-group{
      display: flex;
      .btn{
         background: $action;
         color: $body-color;
         @extend .font-body-bold;
         @include font-size($beta-font-sizes);
         width: 100px;
      }
      @media (max-width: $screen-sm){
         display: block;
         .btn{
            width: 100%;
            height: 40px;
         }
      }
   }
}


/* ::Navigation */
/* ------------------------------------------------------------ */

nav{
   text-align: center;
   @extend .font-body-bold;
   li:not(:last-child){
      margin-bottom: $spacing-xxs;
   }
   li.current-menu-item a,
   body.home & li#menu-item-229 a,
   body.single-texts & li#menu-item-228 a,
   body.single-publications & li#menu-item-227 a,
   body.single-press & li#menu-item-227 a,
   body.single-news & li#menu-item-225 a{
    color: $action;
   }
   a{
      color: $base-color;
      text-decoration: none;
      @include font-size($beta-font-sizes);
      transition: all .3s ease-in-out;
      &:hover{
         color: $action;
      }
   }
}
